## Changes

- When airborne without any jumps remaining, Artificer will switch between falling and hovering when jump is pressed.
- When falling when she has jumps remaining, Artificer will NOT jump when jump is pressed. Instead, she can release it immediately to jump again, or hold it in briefly to trigger hover.
- If she was hovering when using a second jump, Artificer will now automatically hover after she begins falling.

## Why?

Risk of Rain 2 on a controller still sounds weird to me as someone who's used to kb/m for shooter games like these, but for people transitioning from console or people who are just used to twinstick controls it can apparently work. Having to split your right thumb between the right analog and buttons usually works okay for most characters, but for Artificer there's a major issue with that - one of her defining features, ENV Suit, requires the jump button to be held in on PC. The console version addresses this with an option that enables hover to be toggled instead of held in, but no such option exists for the Steam version.

There IS technically a mod that addresses this issue already - ArtificerToggleHover by bongopd. This is a usable solution, but it only allows you to hover after all of your jumps are depleted, unlike the console version which allows you to hold in jump to hover instead. This mod instead entirely rewrites the character submain that calls for her jetpack, allowing me to remove the jump code out of ProcessJump and create a tap jump system to cover Hopoo Feather.

## Future fixes
- Clean up config
- Implement system to hold in jump for automatic hovering
- Ok I don't actually have anything against people who play multiplayer with mods I have just had fucking enough with trying to make networking like remotely function

## Changelog

### 1.0.1
- Fixed typo in InLobbyConfig entry
- Added GitHub repository in case anyone wants the code for their own use. I forgot to add it beforehand lol

### 1.0.0
- First release